classification
Title: py3 patch: full Unicode version for winreg module
Type: Stage:
Components: Unicode Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, loewis
Priority: normal Keywords: patch

Created on 2007-08-31 21:42 by amaury.forgeotdarc, last changed 2007-09-03 07:45 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
winreg.diff amaury.forgeotdarc, 2007-08-31 21:42
Messages (3)
msg55540 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2007-08-31 21:42
With this patch, the winreg module is now completely unicode: it only
uses Windows wide-char API functions, and all strings (keys, subkeys,
values) are passed untranslated. str8 is banned, and byte objects are
only allowed for raw binary data.

Note: It seems a good approach to use the wide-char Windows API whenever
possible. They fit very well with PyUnicode strings, and simplify the
code...
msg55541 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-08-31 22:05
While I agree with the principle (use wide APIs where possible), I'd
like to point out that they don't work on Windows 95 (at least some
don't; if you link with MSLU, you get some more to work); that was the
major reason not to use them in the past. This is no issue for Python
3000, of course, since Windows 1995 is not supported anymore.
msg55614 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-09-03 07:45
Thanks for the patch. Committed as r57928
History
Date User Action Args
2007-09-03 07:45:52loewissetstatus: open -> closed
resolution: accepted
messages: + msg55614
2007-09-02 20:11:57loewissetkeywords: + patch
2007-08-31 22:05:53loewissetnosy: + loewis
messages: + msg55541
2007-08-31 21:42:59amaury.forgeotdarccreate